<template>
  <a-table
    :columns="columns"
    :data-source="users"
    size="small"
    :pagination="false"
    class="pl-3 pb-3 pr-3"
  >
    <template slot="user_avatar" slot-scope="scopeSrc">
      <a-avatar :size="22" :src="scopeSrc" />
    </template>
  </a-table>
</template>

<script>
export default {
  props: ["users"],
  data() {
    return {
      columns: [
        {
          dataIndex: "user_avatar",
          title: "Perfil",
          sortDirection: "desc",
          class: "small font-weight-light",
          scopedSlots: { customRender: "user_avatar" },
        },
        {
          dataIndex: "user_username",
          title: "Nome completo",
          class: "small font-weight-light",
        },
        {
          dataIndex: "value",
          title: "Valor",
          class: "small font-weight-light text-right",
        },
      ],
    };
  },
};
</script>
